Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider
Class AbstractRandomAccessStreamContent

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractRandomAccessContent
          org.apache.commons.vfs.provider.AbstractRandomAccessStreamContent

All Implemented Interfaces:
  DataInput, DataOutput, RandomAccessContent

public abstract class AbstractRandomAccessStreamContent
extends AbstractRandomAccessContent

Implements the part usable for all stream base random access implementations

Version:
  $Revision: 485638 $ $Date: 2006-12-11 13:20:55 +0100 (Mo, 11 Dez 2006) $
Author:
  Mario Ivankovits

Constructor Summary
`protected` | `AbstractRandomAccessStreamContent(RandomAccessMode mode)`

Method Summary
`protected abstract DataInputStream` | `getDataInputStream()`
`InputStream` | `getInputStream()` get the input stream Notice: If you use `RandomAccessContent.seek(long)` you have to reget the InputStream
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`int` | `readInt()`
`long` | `readLong()`
`short` | `readShort()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`String` | `readUTF()`
`int` | `skipBytes(int n)`

Methods inherited from class org.apache.commons.vfs.provider.AbstractRandomAccessContent
`readLine, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.RandomAccessContent
`close, getFilePointer, length, seek`

Constructor Detail

### AbstractRandomAccessStreamContent

    protected AbstractRandomAccessStreamContent(RandomAccessMode mode)

Method Detail

### getDataInputStream

    protected abstract DataInputStream getDataInputStream()
                                                   throws IOException

  Throws:
    `IOException`

### readByte

    public byte readByte()
                  throws IOException

  Throws:
    `IOException`

### readChar

    public char readChar()
                  throws IOException

  Throws:
    `IOException`

### readDouble

    public double readDouble()
                      throws IOException

  Throws:
    `IOException`

### readFloat

    public float readFloat()
                    throws IOException

  Throws:
    `IOException`

### readInt

    public int readInt()
                throws IOException

  Throws:
    `IOException`

### readUnsignedByte

    public int readUnsignedByte()
                         throws IOException

  Throws:
    `IOException`

### readUnsignedShort

    public int readUnsignedShort()
                          throws IOException

  Throws:
    `IOException`

### readLong

    public long readLong()
                  throws IOException

  Throws:
    `IOException`

### readShort

    public short readShort()
                    throws IOException

  Throws:
    `IOException`

### readBoolean

    public boolean readBoolean()
                        throws IOException

  Throws:
    `IOException`

### skipBytes

    public int skipBytes(int n)
                  throws IOException

  Throws:
    `IOException`

### readFully

    public void readFully(byte[] b)
                   throws IOException

  Throws:
    `IOException`

### readFully

    public void readFully(byte[] b,
                          int off,
                          int len)
                   throws IOException

  Throws:
    `IOException`

### readUTF

    public String readUTF()
                   throws IOException

  Throws:
    `IOException`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Description copied from interface: `RandomAccessContent`
  get the input stream
  Notice: If you use `RandomAccessContent.seek(long)` you have to reget the InputStream

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.